KNOPMD(8)

NAME
knopmd - separates iptables messages from all other kernel messages.

SYNOPSIS
knopmd

DESCRIPTION
knopmd reads messages from the /var/lib/fwknop/fwknopfifo named pipe and prints any firewall related log messages to the fwknop data file "/var/log/fwknop/fwdata". Note that knopmd is only used in the legacy port knocking mode, and the default authentication/authorization method used by fwknop is Single Packet Authorization (SPA). fwknop cannot detect port knocking sequences without knopmd running on the machine. knopmd references the fwknop.conf configuration file which by default is located at /etc/fwknop/fwknop.conf, but a different path can be specified on the command line.

SEE ALSO
fwknop(8), fwknopd(8), knopwatchd(8),

AUTHOR
Michael Rash (mbr@cipherdyne.org)

DISTRIBUTION
knopmd is distributed under the GNU General Public License (GPL), and the latest version may be downloaded from http://www.cipherdyne.org